Public Class Form1

    Private Sub btnCapture_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCapture.Click
        ' Get the image.
        Dim bm As Bitmap = GetFormImage(chkIncludeBorders.Checked)

        ' Display the image in a new form.
        Dim frm As New frmShowCapture
        frm.picCapturedImage.Image = bm
        Dim wid As Integer = bm.Width + 2 * frm.picCapturedImage.Left
        Dim hgt As Integer = bm.Height + 2 * frm.picCapturedImage.Top
        frm.ClientSize = New Size(wid, hgt)
        frm.ShowDialog()
    End Sub

    Private Function GetFormImage(ByVal include_borders As Boolean) As Bitmap
        ' Make the bitmap.
        Dim wid As Integer = Me.Width
        Dim hgt As Integer = Me.Height
        Dim bm As New Bitmap(wid, hgt)

        ' Draw the form onto the bitmap.
        Me.DrawToBitmap(bm, New Rectangle(0, 0, wid, hgt))

        ' If we want the borders, return the bitmap.
        If include_borders Then Return bm

        ' Make a smaller bitmap without borders.
        wid = Me.ClientSize.Width
        hgt = Me.ClientSize.Height
        Dim bm2 As New Bitmap(wid, hgt)

        ' Get the offset from the window's corner to its client area's corner.
        Dim pt As New Point(0, 0)
        pt = PointToScreen(pt)
        Dim dx As Integer = pt.X - Me.Left
        Dim dy As Integer = pt.Y - Me.Top

        ' Copy the part of the original bitmap that we want into the bitmap.
        Dim gr As Graphics = Graphics.FromImage(bm2)
        gr.DrawImage(bm, 0, 0, New Rectangle(dx, dy, wid, hgt), GraphicsUnit.Pixel)
        Return bm2
    End Function
End Class
